> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Eligibility Checks V 1 Payer Search

GET https://api.taigabilling.com/eligibility-checks/v1/payer/search

Searches for payers that match the query parameters.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-eligibility-checks-v-1/pre-encounter-eligibility-checks-v-1-payer-search

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Query parameters

- `page_size` (integer, optional)
- `page_token` (string, optional) — A token that can be used to retrieve the next or previous page of results
- `query` (string, optional)

## Response

### 200

- `items` (list of pre-encountereligibilityChecksv1StediPayerItem, required)
- `stats` (any, required)
- `total` (integer, required)
- `next_page_token` (string, optional, nullable) — A token that can be used to retrieve the next or previous page of results
- `prev_page_token` (string, optional, nullable) — A token that can be used to retrieve the next or previous page of results

## Types

### pre-encountereligibilityChecksv1StediPayerItem

- `score` (integer, required)
- `payer` (pre-encountereligibilityChecksv1StediPayer, required)

### pre-encountereligibilityChecksv1StediPayer

- `stedi_id` (string, required)
- `display_name` (string, required)
- `primary_payer_id` (string, required)
- `aliases` (list of string, required)
- `names` (list of string, required)
- `transaction_support` (any, required)
- `employer_identification_numbers` (list of string, optional, nullable)
- `payer_enrollment` (any, optional, nullable)
- `parent_payer_group` (string, optional, nullable)
- `coverage_types` (list of string, optional, nullable)

## Examples

**Response**

```json
{
  "items": [
    {
      "score": 1,
      "payer": {
        "stedi_id": "string",
        "display_name": "string",
        "primary_payer_id": "string",
        "aliases": [
          "string"
        ],
        "names": [
          "string"
        ],
        "employer_identification_numbers": [
          "string"
        ],
        "payer_enrollment": null,
        "parent_payer_group": "string",
        "coverage_types": [
          "string"
        ]
      }
    }
  ],
  "total": 1,
  "next_page_token": "string",
  "prev_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/eligibility-checks/v1/payer/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```